<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE composition PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
    "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">

<!--
IGAC proyecto SNC
@author			felipe.cadena

@version 		2.0
@description 	Vista para definir las tareas a realizar con la informacion espacial.
                
@cu 			CU-NP-CO-201

@MB     EstudioAjusteEspacialMB
    
-->
<h:form id="tareasEspacialForm"
        xmlns="http://www.w3.org/1999/xhtml"
        xmlns:h="http://java.sun.com/jsf/html"
        xmlns:f="http://java.sun.com/jsf/core"
        xmlns:fn="http://java.sun.com/jsp/jstl/functions"
        xmlns:p="http://primefaces.org/ui"
        xmlns:misc="http://java.sun.com/jsf/composite/misc"
        xmlns:predio="http://java.sun.com/jsf/composite/predio">

    <p:messages showDetail="false" globalOnly="false" id="tareasMsg"/>


    <h:panelGrid columns="2">


        <p:fieldset id="datosEncabezadoTareasFS">

            <h:panelGrid width="450" columns="4">

                <h:outputLabel value="No. solicitud" styleClass="outputLabelStyle" />

                <p:commandLink styleClass="commandLinkStyle"
                               oncomplete="detalleSolicitudEjecutarWV.show();"
                               update=":detalleSolicitudEjecutarForm" process="@this"
                               value="#{estudiarAjusteEspacial.tramiteActual.solicitud.numero}">
                    <f:setPropertyActionListener
                        value="#{estudiarAjusteEspacial.tramiteActual.solicitud}"
                        target="#{vistaDetallesSolicitud.solicitudSeleccionada}" />
                </p:commandLink>
                <h:outputLabel value="Fecha solicitud" styleClass="outputLabelStyle" />

                <h:outputText value="#{estudiarAjusteEspacial.tramiteActual.solicitud.fecha}" styleClass="outputTextStyle">
                    <f:convertDateTime pattern="#{general.formatoFechaUsuario2}"
                                       locale="es_CO" timeZone="GMT-5" />
                </h:outputText>

                <h:outputLabel value="Tipo solicitud" styleClass="outputLabelStyle" />
                <h:outputText value="#{estudiarAjusteEspacial.tramiteActual.solicitud.tipo}"
                              id="SolicitudTipoV-1" styleClass="outputTextStyle">
                    <f:converter converterId="converterCB" for="SolicitudTipoV-1" />
                </h:outputText>

                <h:outputLabel value="No. radicación" styleClass="outputLabelStyle" />

                <p:commandLink styleClass="commandLinkStyle"
                               oncomplete="detalleTramiteEjecutarWV.show();" process="@this"
                               update=":detalleTramiteEjecutarForm"
                               value="#{estudiarAjusteEspacial.tramiteActual.numeroRadicacion}">
                    <f:setPropertyActionListener value="#{estudiarAjusteEspacial.tramiteActual}"
                                                 target="#{vistaDetallesTramite.selectedTramiteForDetailsChecking}" />
                </p:commandLink>

                <h:outputLabel value="Fecha radicación" styleClass="outputLabelStyle" />

                <h:outputText value="#{estudiarAjusteEspacial.tramiteActual.fechaRadicacion}"
                              styleClass="outputTextStyle">
                    <f:convertDateTime pattern="#{general.formatoFechaUsuario2}"
                                       locale="es_CO" timeZone="GMT-5" />
                </h:outputText>

                <h:outputLabel value="Tipo trámite" styleClass="outputLabelStyle" />
                <h:outputText value="#{estudiarAjusteEspacial.tramiteActual.tipoTramite}"
                              id="TramiteTipoTramiteV-1" styleClass="outputTextStyle">
                    <f:converter converterId="converterCB" for="TramiteTipoTramiteV-1" />
                </h:outputText>


            </h:panelGrid>
        </p:fieldset>
        <h:panelGrid width="450">
            <p:dataTable id="prediosTareasDT" widgetVar="prediosDTWV"
                         value="#{estudiarAjusteEspacial.prediosTramite}"
                         var="predio" paginator="true" rows="5"
                         paginatorTemplate="{RowsPerPageDropdown} {FirstPageLink} {PreviousPageLink} {CurrentPageReport} {NextPageLink} {LastPageLink}"
                         rowsPerPageTemplate="5,10,15" paginatorPosition="bottom"
                         emptyMessage="No se encontraron predios">
                <f:facet name="header">
                    Predios asociados al trámite
                </f:facet>

                <p:column headerText="Tipo">
                    <h:outputText id="PredioTipoV-1"
                                  value="#{predio.tipo}">
                        <f:converter converterId="converterCB" for="PredioTipoV-1" />
                    </h:outputText>
                </p:column>

                <p:column headerText="Número predial">
                    <h:outputText
                        value="#{predio.formattedNumeroPredialCompleto}" />
                </p:column>

                <p:column headerText="Nombre o dirección principal">
                    <h:outputText
                        value="#{predio.direccionPrincipal}"
                        styleClass="outputTextStyle" />
                </p:column>
            </p:dataTable>
        </h:panelGrid>

    </h:panelGrid>

    <br/>   
    <p:separator/>

    <p:fieldset id="TareasFS">

        <legend>
            <h:outputText value="Tareas a realizar" 
                          styleClass="legendTitle" />
        </legend>

        <p:spacer height="30"/>

        <p:editor requiredMessage="Se deben definir las tareas a realizar."
                  value="#{estudiarAjusteEspacial.tramiteDepuracion.tareasRealizar}"
                  id="tareasDep" widgetVar="tareasDepWV" required="true"
                  width="700"	height="200" controls="bold italic | style |
                  bullets numbering | outdent indent | alignleft justify | undo redo  | 
                  cut copy paste pastetext | print " />

        <h:outputLabel value="Requiere ir a campo: " styleClass="outputLabelStyle" />
        <h:selectOneRadio   id="campoSlt"
                            required="true" requiredMessage="Se debe definir si se debe ir a campo o no."
                            value="#{estudiarAjusteEspacial.tramiteDepuracion.campo}">  
            <f:selectItems value="#{general.siNo}" />  

        </h:selectOneRadio>

        <p:spacer height="30"/>

    </p:fieldset>

    <h:panelGrid columns="1" cellspacing="7" width="100%">
        <p:spacer height="10"/>
        <p:commandButton value="Aceptar"    
                         icon="ui-icon-check"
                         update=":estudiarAjusteEspacialForm, :tareasEspacialForm:tareasMsg"
                         onstart="statusDialog2.show()" 
                         oncomplete="statusDialog2.hide(); handleCompleteSIC(xhr, status, args, tareasRealizarWV, false);"/>
    </h:panelGrid>


</h:form>